class Container {
    // Make the iterator using these.
    using reverse_iterator = std::reverse_iterator<iterator>;
    using const_reverse_iterator = std::reverse_iterator<const_iterator>;

    // Need to define these.
    reverse_iterator rbegin() { return reverse_iterator { end() }; }
    reverse_iterator rend() { return reverse_iterator { begin() }; }

    // If you want const reverse iterators (hint: you do), define these.
    const_reverse_iterator rbegin() const { return crbegin(); }
    const_reverse_iterator rend() const { return crend(); }
    const_reverse_iterator crbegin() const { return const_reverse_iterator { cend() }; }
    const_reverse_iterator crend() const { return const_reverse_iterator { cbegin() }; }
};